complexType "CalculationFromObservation"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 4 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally in fpml-eq-shared-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | (initialLevel | closingLevel | expiringLevel), expectedN?
</...>

Content Model Elements (4):

  closingLevel, expectedN, expiringLevel, initialLevel

Known Direct Subtypes (2):

  Correlation, Variance

All Direct / Indirect Based Elements (2):

  correlation, variance

Known Usage Locations

- In derivations of other global types (2):

  Correlation (as extension base), | Variance (as extension base)

Annotation
Abstract base class for all calculation from observed values.
XML Source (w/o annotations (5); see within schema source)

<xsd:complexType abstract="true" name="CalculationFromObservation"> <xsd:sequence> <xsd:choice> <xsd:element name="initialLevel" type="xsd:decimal"/> <xsd:element name="closingLevel" type="xsd:boolean"/> <xsd:element name="expiringLevel" type="xsd:boolean"/> </xsd:choice> <xsd:element minOccurs="0" name="expectedN" type="xsd:positiveInteger"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
closingLevel

  Type: | xsd:boolean, predefined, simple content

  If true this contract will strike off the closing level of the default exchange traded contract.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="closingLevel" type="xsd:boolean"/>

expectedN

  Type: | xsd:positiveInteger, predefined, simple content

  Expected number of trading days.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="expectedN" type="xsd:positiveInteger"/>

expiringLevel

  Type: | xsd:boolean, predefined, simple content

  If true this contract will strike off the expiring level of the default exchange traded contract.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="expiringLevel" type="xsd:boolean"/>

initialLevel

  Type: | xsd:decimal, predefined, simple content

  Contract will strike off this initial level.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="initialLevel" type="xsd:decimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.